// JQM BAC calculator JavaScript 
// author: Bojan Dimitrovski
// url: bojandimitrovski.com
// twitter: @bdimitrovski
// year: 2013

function calculate() {
        
        // set the loading dialog and timeout
        
        $.mobile.showPageLoadingMsg("b", "Ček da vidim...");
        setTimeout(function(){        
        $.mobile.loading('hide');
        }, 1000);

        // pick up data from the select options

        with (document.forms[0])
                {
                koliko = document.all.howmuch.value;
                pice = document.all.drink.options[document.all.drink.selectedIndex].value;
                vreme = document.all.time.options[document.all.time.selectedIndex].value;
                prestao = document.all.stopped.options[document.all.stopped.selectedIndex].value;
                casa = document.all.glasssize.options[document.all.glasssize.selectedIndex].value;
                tezina = document.all.weight.value;
                pol = document.all.gender.value;
              }             

        // roughly calculate the BAC based on parameters
        
        setTimeout(function()
        { 
            Res = ((pice*casa*koliko/100/tezina/pol)-(vreme*.15)-(prestao*.15));
            
            finalRes = (Math.round(Res*100)/100);
            
            if (isNaN(finalRes)) {
                $.mobile.loading('show', {theme:"c", text:"Greška! Odaberi sve opcije!", textonly:true, textVisible: true});
                setTimeout(function(){        
                $.mobile.loading('hide');
                }, 2000);
            }

            else if (!isFinite(finalRes))
            {
                $.mobile.loading('show', {theme:"c", text:"Greška! Proveri unos!", textonly:true, textVisible: true});
                setTimeout(function(){        
                $.mobile.loading('hide');
                }, 2000);
            }
            
            if (Res < 0) {
                var Rez = "0.00";
                sober = '<br /><br />' + "Trezan si/trezna si. Tako je najbolje.";
                message = '<span class=\"safe\">' + 'Imaš ' + Rez + '‰ u krvi. ' + '</span>' +  sober;   

                var dlg = $("<div />").attr("data-role", "dialog").attr("id", "rezultat");
                var content = $("<div />").attr("data-role", "content").append($("<span />").html(message));

                var btn = ("<a onclick=\"close_dialog()\" data-icon=\"flat-cross\" href=\"#\" data-role=\"button\" data-theme=\"d\">Zatvori</a>");

                dlg.append(content);                

                dlg.appendTo($.mobile.pageContainer);

                dlg.append(btn);

                $.mobile.changePage(dlg, { role: "dialog" }); 
            }

            else if (Res <= 0.30) {
                warn = '<br /><br />' + "Vodi računa! Još uvek možeš da voziš, ali nije preporučljivo! Granica dozvoljenog alkohola u krvi je 0.30‰, sve posle toga je kažnjivo. ";
                message = '<span class=\"caution\">' + 'Imaš oko ' + finalRes + '‰ u krvi. ' + '</span>' + warn;

                var dlg = $("<div />").attr("data-role", "dialog").attr("id", "rezultat");
                var content = $("<div />").attr("data-role", "content").append($("<span />").html(message));

                var btn = ("<a onclick=\"close_dialog()\" data-icon=\"flat-cross\" href=\"#\" data-role=\"button\" data-theme=\"d\">Zatvori</a>");

                dlg.append(content);                

                dlg.appendTo($.mobile.pageContainer);

                dlg.append(btn);

                $.mobile.changePage(dlg, { role: "dialog" });
            }

            else if (Res >= 0.31 && Res <= 0.50) {
                warn = '<br /><br />' + "Umereno si pijan/a. Za ovaj prekršaj je predviđena fiksna kazna od 5.000 dinara i isključenje iz saobraćaja."
                message = '<span class=\"danger\">' + 'Imaš oko ' + finalRes + '‰ alkohola u krvi! ' + '</span>' + warn; 

                var dlg = $("<div />").attr("data-role", "dialog").attr("id", "rezultat");
                var content = $("<div />").attr("data-role", "content").append($("<span />").html(message));

                var btn = ("<a onclick=\"close_dialog()\" data-icon=\"flat-cross\" href=\"#\" data-role=\"button\" data-theme=\"d\">Zatvori</a>");

                dlg.append(content);                

                dlg.appendTo($.mobile.pageContainer);

                dlg.append(btn);

                $.mobile.changePage(dlg, { role: "dialog" });
            }

            else if (Res >= 0.51 && Res < 1.20) {
                warn = '<br /><br />' + "Srednja alkoholisanost za koju je predviđena novčana kazna od 6.000 - 20.000 din, zabrana upravljanja najmanje 3 meseca i 6 kaznenih poena ako nije izazvana nezgoda. Ako je izazvana nezgoda, to je 10.000 - 40.000 din novčane kazne ili zatvor do 45 dana, sa 7 kaznenih poena i zabranom  upravljanja najmanje 5 meseci. Nemoj se igrati životom, bolje uzmi taksi."
                message = '<span class=\"danger\">' + 'Imaš oko ' + finalRes + '‰ alkohola u krvi! ' + '</span>' + warn;

                var dlg = $("<div />").attr("data-role", "dialog").attr("id", "rezultat");
                var content = $("<div />").attr("data-role", "content").append($("<span />").html(message));

                var btn = ("<a onclick=\"close_dialog()\" data-icon=\"flat-cross\" href=\"#\" data-role=\"button\" data-theme=\"d\">Zatvori</a>");

                dlg.append(content);                

                dlg.appendTo($.mobile.pageContainer);

                dlg.append(btn);

                $.mobile.changePage(dlg, { role: "dialog" });
            }

            else if (Res >= 1.20 && Res < 1.60) {
                warn = '<br /><br />' + "Teška alkoholisanost! Predviđena novčana kazna je od 15.000 - 30.000 din ili zatvor do 30 dana, zabrana upravljanja najmanje 6 meseci i 10 kaznenih poena ako nije izazvana nezgoda. Ako je izazvana nezgoda, to je 30.000 - 50.000 din novčane kazne ili zatvor do 60 dana, sa 13 kaznenih poena i zabranom  upravljanja najmanje 8 meseci. Bolje i ne pomišljaj da voziš u ovakvom stanju."
                message = '<span class=\"danger\">' + 'Imaš oko ' + finalRes + '‰ alkohola u krvi! ' + '</span>' + warn;

                var dlg = $("<div />").attr("data-role", "dialog").attr("id", "rezultat");
                var content = $("<div />").attr("data-role", "content").append($("<span />").html(message));

                var btn = ("<a onclick=\"close_dialog()\" data-icon=\"flat-cross\" href=\"#\" data-role=\"button\" data-theme=\"d\">Zatvori</a>");

                dlg.append(content);                

                dlg.appendTo($.mobile.pageContainer);

                dlg.append(btn);

                $.mobile.changePage(dlg, { role: "dialog" });
            }

            else if (Res >= 1.60 && Res < 2.00) {
                warn = '<br /><br />' + "Veoma teška alkoholisanost! Predviđena novčana kazna je od 15.000 - 30.000 din ili zatvor do 30 dana, zabrana upravljanja najmanje 8 meseci i 12 kaznenih poena ako nije izazvana nezgoda. Ako je izazvana nezgoda, to je 30.000 - 50.000 din novčane kazne ili zatvor do 60 dana, sa 13 kaznenih poena i zabranom  upravljanja najmanje 10 meseci. Najozbiljnije razmišljaj o posledicama."
                message = '<span class=\"danger\">' + 'Imaš oko ' + finalRes + '‰ alkohola u krvi! ' + '</span>' + warn;

                var dlg = $("<div />").attr("data-role", "dialog").attr("id", "rezultat");
                var content = $("<div />").attr("data-role", "content").append($("<span />").html(message));

                var btn = ("<a onclick=\"close_dialog()\" data-icon=\"flat-cross\" href=\"#\" data-role=\"button\" data-theme=\"d\">Zatvori</a>");

                dlg.append(content);                

                dlg.appendTo($.mobile.pageContainer);

                dlg.append(btn);

                $.mobile.changePage(dlg, { role: "dialog" });
            }

            else if (Res >= 2.00 && Res < 100.00) {
                warn = '<br /><br />' + "Potpuna alkoholisanost! Predviđena novčana kazna je od 100.000 - 120.000 din ili zatvor najmanje 30 dana, zabrana upravljanja najmanje 8 meseci i 14 kaznenih poena ako nije izazvana nezgoda. Ako je izazvana nezgoda, to je 120.000 - 150.000 din novčane kazne ili zatvor najmanje 45 dana, sa 16 kaznenih poena i zabranom  upravljanja najmanje 10 meseci. Ti i ne stojiš na nogama!"
                message = '<span class=\"danger\">' + 'Imaš oko ' + finalRes + '‰ alkohola u krvi! ' + '</span>' + warn;

                var dlg = $("<div />").attr("data-role", "dialog").attr("id", "rezultat");
                var content = $("<div />").attr("data-role", "content").append($("<span />").html(message));

                var btn = ("<a onclick=\"close_dialog()\" data-icon=\"flat-cross\" href=\"#\" data-role=\"button\" data-theme=\"d\">Zatvori</a>");

                dlg.append(content);                

                dlg.appendTo($.mobile.pageContainer);

                dlg.append(btn);

                $.mobile.changePage(dlg, { role: "dialog" });
            }

        }, 1125);
}

